<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ombs-OnlineMovieBookingSystem: src/httpserver/http_server.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ombs-OnlineMovieBookingSystem
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_d37b2b018bbc221799a85e44b06817cf.html">httpserver</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">http_server.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;SimpleJSON/json.hpp&quot;</code><br />
<code>#include &quot;multiplexer.hpp&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for http_server.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="http__server_8hpp__incl.png" border="0" usemap="#src_2httpserver_2http__server_8hpp" alt=""/></div>
<map name="src_2httpserver_2http__server_8hpp" id="src_2httpserver_2http__server_8hpp">
<area shape="rect" title=" " alt="" coords="96,5,239,47"/>
<area shape="rect" title=" " alt="" coords="5,95,164,121"/>
<area shape="rect" title=" " alt="" coords="189,95,311,121"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="http__server_8hpp__dep__incl.png" border="0" usemap="#src_2httpserver_2http__server_8hppdep" alt=""/></div>
<map name="src_2httpserver_2http__server_8hppdep" id="src_2httpserver_2http__server_8hppdep">
<area shape="rect" title=" " alt="" coords="79,5,221,47"/>
<area shape="rect" href="http__server_8cpp.html" title=" " alt="" coords="5,95,148,136"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="172,102,277,129"/>
</map>
</div>
</div>
<p><a href="http__server_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classomsb_1_1_http_server.html">omsb::HttpServer</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">this the class that handels user REST API requests. we only need to create one object abd start server. there is no need to create multiple instanaces in one node as each request is handlled in dedicated thread.  <a href="classomsb_1_1_http_server.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceomsb"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html">omsb</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a47db1e9f6209ead9120a7ea360f2618d"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a47db1e9f6209ead9120a7ea360f2618d">omsb::ombsIpAddress</a> [] = &quot;0.0.0.0&quot;</td></tr>
<tr class="separator:a47db1e9f6209ead9120a7ea360f2618d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2085949a646e0fdd4d3dd07728d000a7"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a2085949a646e0fdd4d3dd07728d000a7">omsb::ombsPort</a> [] = &quot;5000&quot;</td></tr>
<tr class="separator:a2085949a646e0fdd4d3dd07728d000a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a604c29051b181fefaec2a3ca73bcf25f"><td class="memItemLeft" align="right" valign="top">constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a604c29051b181fefaec2a3ca73bcf25f">omsb::ombsThreads</a> = 100</td></tr>
<tr class="separator:a604c29051b181fefaec2a3ca73bcf25f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaa081f71b2c4b93586590ae1741add7"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#adaa081f71b2c4b93586590ae1741add7">omsb::ombsAddTheaterEndpoint</a> [] = &quot;/addtheater&quot;</td></tr>
<tr class="separator:adaa081f71b2c4b93586590ae1741add7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92aa63f88b439e55b947e15d93df764b"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a92aa63f88b439e55b947e15d93df764b">omsb::ombsAddMovieEndpoint</a> [] = &quot;/addmovie&quot;</td></tr>
<tr class="separator:a92aa63f88b439e55b947e15d93df764b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7985df2da8d951f070ec3649b8293f16"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a7985df2da8d951f070ec3649b8293f16">omsb::ombsGetAllTheatersEndpoint</a> [] = &quot;/getalltheaters&quot;</td></tr>
<tr class="separator:a7985df2da8d951f070ec3649b8293f16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a455eaf86a103872b05c6fa1f13db7348"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a455eaf86a103872b05c6fa1f13db7348">omsb::ombsGetAllMoviesEndpoint</a> [] = &quot;/getallmovies&quot;</td></tr>
<tr class="separator:a455eaf86a103872b05c6fa1f13db7348"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5ea7f1ccefc59887b556d8aa43c494f"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#ab5ea7f1ccefc59887b556d8aa43c494f">omsb::ombsAddMovieShowEndpoint</a> [] = &quot;/addshow&quot;</td></tr>
<tr class="separator:ab5ea7f1ccefc59887b556d8aa43c494f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f5e13978bab25d6d0f042a3e694a9b"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#af4f5e13978bab25d6d0f042a3e694a9b">omsb::ombsBookSeatsEndpoint</a> [] = &quot;/bookseats&quot;</td></tr>
<tr class="separator:af4f5e13978bab25d6d0f042a3e694a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d32bcae1ecbfd2d9a4aa72c0fd6c34"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#af8d32bcae1ecbfd2d9a4aa72c0fd6c34">omsb::ombsGetAllMovieShowsEndpoint</a> [] = &quot;/&quot;</td></tr>
<tr class="separator:af8d32bcae1ecbfd2d9a4aa72c0fd6c34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20941250a216ab77289cceb6ba61cdcb"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#a20941250a216ab77289cceb6ba61cdcb">omsb::ombsGetTheaterByMovieEndpoint</a> [] = &quot;/{movie_id}&quot;</td></tr>
<tr class="separator:a20941250a216ab77289cceb6ba61cdcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad871d082de14f4a98ff3653f3bb9231a"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceomsb.html#ad871d082de14f4a98ff3653f3bb9231a">omsb::ombsGetAvailableSeatsByMovieAndByTheaterEndpoint</a> [] = &quot;/{movie_id}/{theater_id}&quot;</td></tr>
<tr class="separator:ad871d082de14f4a98ff3653f3bb9231a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
